- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QXmlReader Class Reference

Search for all occurrences

## Detailed Description

Definition at line 215 of file qxml.h.

`#include <qxml.h>`

Inheritance diagram for QXmlReader:
[legend]

List of all members.

## Public Member Functions
virtual | ~QXmlReader ()
virtual bool | feature (const QString &name, bool *ok=0) const =0
virtual void | setFeature (const QString &name, bool value)=0
virtual bool | hasFeature (const QString &name) const =0
virtual void * | property (const QString &name, bool *ok=0) const =0
virtual void | setProperty (const QString &name, void *value)=0
virtual bool | hasProperty (const QString &name) const =0
virtual void | setEntityResolver (QXmlEntityResolver *handler)=0
virtual QXmlEntityResolver * | entityResolver () const =0
virtual void | setDTDHandler (QXmlDTDHandler *handler)=0
virtual QXmlDTDHandler * | DTDHandler () const =0
virtual void | setContentHandler (QXmlContentHandler *handler)=0
virtual QXmlContentHandler * | contentHandler () const =0
virtual void | setErrorHandler (QXmlErrorHandler *handler)=0
virtual QXmlErrorHandler * | errorHandler () const =0
virtual void | setLexicalHandler (QXmlLexicalHandler *handler)=0
virtual QXmlLexicalHandler * | lexicalHandler () const =0
virtual void | setDeclHandler (QXmlDeclHandler *handler)=0
virtual QXmlDeclHandler * | declHandler () const =0
virtual bool | parse (const QXmlInputSource &input)=0
virtual bool | parse (const QXmlInputSource *input)=0

## Constructor & Destructor Documentation

virtual ~QXmlReader | ( |  | ) | `[inline, virtual]`

Definition at line 218 of file qxml.h.

    {}

## Member Function Documentation

virtual bool feature | ( | const QString & | name,
|  | bool * | ok = `0`
| ) |  | const `[pure virtual]`

Search for all occurrences

Implemented in QXmlSimpleReader.

virtual void setFeature | ( | const QString & | name,
|  | bool | value
| ) |  | `[pure virtual]`

Search for all occurrences

Implemented in QXmlSimpleReader.

virtual bool hasFeature | ( | const QString & | name | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QXmlSimpleReader.

virtual void* property | ( | const QString & | name,
|  | bool * | ok = `0`
| ) |  | const `[pure virtual]`

Search for all occurrences

Implemented in QXmlSimpleReader.

virtual void setProperty | ( | const QString & | name,
|  | void * | value
| ) |  | `[pure virtual]`

Search for all occurrences

Implemented in QXmlSimpleReader.

virtual bool hasProperty | ( | const QString & | name | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QXmlSimpleReader.

virtual void setEntityResolver | ( | QXmlEntityResolver * | handler | ) | `[pure virtual]`

Search for all occurrences

Implemented in QXmlSimpleReader.

virtual QXmlEntityResolver* entityResolver | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QXmlSimpleReader.

virtual void setDTDHandler | ( | QXmlDTDHandler * | handler | ) | `[pure virtual]`

Search for all occurrences

Implemented in QXmlSimpleReader.

virtual QXmlDTDHandler* DTDHandler | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QXmlSimpleReader.

virtual void setContentHandler | ( | QXmlContentHandler * | handler | ) | `[pure virtual]`

Search for all occurrences

Implemented in QXmlSimpleReader.

virtual QXmlContentHandler* contentHandler | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QXmlSimpleReader.

virtual void setErrorHandler | ( | QXmlErrorHandler * | handler | ) | `[pure virtual]`

Search for all occurrences

Implemented in QXmlSimpleReader.

virtual QXmlErrorHandler* errorHandler | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QXmlSimpleReader.

virtual void setLexicalHandler | ( | QXmlLexicalHandler * | handler | ) | `[pure virtual]`

Search for all occurrences

Implemented in QXmlSimpleReader.

virtual QXmlLexicalHandler* lexicalHandler | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QXmlSimpleReader.

virtual void setDeclHandler | ( | QXmlDeclHandler * | handler | ) | `[pure virtual]`

Search for all occurrences

Implemented in QXmlSimpleReader.

virtual QXmlDeclHandler* declHandler | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QXmlSimpleReader.

virtual bool parse | ( | const QXmlInputSource & | input | ) | `[pure virtual]`

Search for all occurrences

Implemented in QXmlSimpleReader.

virtual bool parse | ( | const QXmlInputSource * | input | ) | `[pure virtual]`

Search for all occurrences

Implemented in QXmlSimpleReader.

The documentation for this class was generated from the following file:

- QtXml/qxml.h

QXmlReader QXmlReader QXmlReader QXmlReader QXmlReader QXmlReader QXmlReader QXmlReader QXmlReader QXmlReader
QXmlReader QXmlReader QXmlReader QXmlReader QXmlReader QXmlReader QXmlReader QXmlReader QXmlReader QXmlReader